#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/mman.h>
#include <fcntl.h>
#include <stdint.h>
#include <ctype.h>


void* alloc_func(int size)
{
  /* static tlb map is available from 0xa00000000 for temporary. This
     is going to be chaned later. mmap() will provide the address of
     static tlb map.
  */
  return (void*)0xa0000000;
}

void free_func(void* ptr)
{
}

void   bench_iteration_report( void* (allocate_func)(int size), 
			       void  (free_func)(void* ptr) );


int  get_hugepage_size();
unsigned long long get_cpufreq_HZ();


int main(int argc, char* argv[])
{
  printf("# STATIC_MAPPING\n");
  printf("# TICKS_PER_SEC=%llu\n",     get_cpufreq_HZ() );

  bench_iteration_report( alloc_func, free_func );

  return 0;
}



