#!/bin/sh

if [ "$UID" != "0" ] ; then
    echo "It requires root permission"
    exit 1
fi

echo 64 > /proc/sys/vm/nr_hugepages
test -d /mnt/huge || mkdir -p /mnt/huge

mount|grep -q /mnt/huge 
if [ "$?" != "0" ] ; then  
    echo "mount none /mnt/huge -t hugetlbfs -o rw,mode=0777"
    mount none /mnt/huge -t hugetlbfs -o rw,mode=0777
fi 

cat /proc/meminfo |grep HugePages

exit 1
