#!/bin/sh

_CWD=`dirname $0`
CWD=`cd $_CWD; pwd`


EXTSTR=""
if [ ! -z "$1" ] ; then
    EXTSTR="-$1"
fi


VER=`uname -r`

for mb in 64 128 ; do
    bytes=`expr $mb \* 1024 \* 1024`

    export MEMLATENCY_BENCH_BUFSIZE=$bytes
    echo "BUFSIZE=${mb}MB"  
    echo "  testing statictlb ..."
    $CWD/bench_statictlb > $CWD/res-bglion-$VER-${mb}MB$EXTSTR-statictlb.dat
    echo "  testing regular ..."
    $CWD/bench_regular   > $CWD/res-bglion-$VER-${mb}MB$EXTSTR-regular.dat
    unset MEMLATENCY_BENCH_BUFSIZE
done

echo done

exit 0


